aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xgit-bisect.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/git-bisect.sh b/git-bisect.sh
index fda1712a0..57d6754d3 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -223,6 +223,14 @@ bisect_replay () {
}
bisect_run () {
+ # Check that we have everything to run correctly.
+ test -d "$GIT_DIR/refs/bisect" || {
+ echo >&2 'You need to start by "git bisect start".'
+ echo >&2 'And then by "git bisect bad" and "git bisect good".'
+ exit 1
+ }
+ bisect_next_check fail
+
while true
do
echo "running $@"